package com.diagbot.repository;


import com.diagbot.dto.HighRiskNeoDTO;
import com.diagbot.dto.OperationInfoDTO;
import com.diagbot.entity.node.Operation;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

public class OperationNode {

    /**
     * 获取药品商品名称列表
     */
    public List<OperationInfoDTO> getOperationList(String name, OperationRepository operationRepository) {
        String nodename;

        List<OperationInfoDTO> opslist = new ArrayList<>();
        OperationInfoDTO opInfoDTO;

        List<Operation> operations = operationRepository.findByNameLike("*"+name+"*");

        for (Operation op : operations) {
            opInfoDTO = new OperationInfoDTO();
            nodename = op.getName();

            opInfoDTO.setName(nodename);
            opslist.add(opInfoDTO);
        }


        return opslist;
    }



    /**
     * 获取高危手术和操作数据
     */
    public List<HighRiskNeoDTO> getHighRiskOperation(Map<String, String> opsterm, OperationRepository operationRepository) {
        List<HighRiskNeoDTO> highRiskNeoDTOS = new ArrayList<>();
        HighRiskNeoDTO highRiskNeoDTO;
        String opname;
        Operation operation;

        for (String term : opsterm.keySet()) {
            highRiskNeoDTO = new HighRiskNeoDTO();

            opname = opsterm.get(term);
            highRiskNeoDTO.setName(term);
            highRiskNeoDTO.setStandname(opname);

            operation = operationRepository.findByNameIs(opname);
        }

        return highRiskNeoDTOS;
    }

}
